Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Dec 2014, 00:54
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Linux MultiMedia Studio - LMMS
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Author Message
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Mon 05 Jan 2009, 07:58    Post subject:  Linux MultiMedia Studio - LMMS  

Homepage: http://lmms.sourceforge.net/
Version: 0.4.2


Quote:
LMMS is a free cross-platform alternative to commercial programs like FL Studio®, which allow you to produce music with your computer. This includes the creation of melodies and beats, the synthesis and mixing of sounds, and arranging of samples. You can have fun with your MIDI-keyboard and much more; all in a user-friendly and modern interface.


Base Requirements:
- QT4 from http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-4/
- Libsamplerate: http://www.murga-linux.com/puppy/viewtopic.php?t=25372
- Jack: http://www.murga-linux.com/puppy/viewtopic.php?t=26267
- LibSDL: http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-2/

If you install the above requirements, petget will complain about missing libs, but lmms will work.

Advanced Requirements:
- Fluidsynth (see below) to use the Fluidsynth-plugin
- Wine to use the VST-Plugin (http://www.murga-linux.com/puppy/viewtopic.php?t=26717)
- Libstk (see below) to use the STK-Mallets-Plugin

Some Notes:
- I'm no musician. lmms seems to run fine, from my point of view.
- Fluidsynth- and VST-Plugin is completely untested.
- the lmms-packages does contain everything from the original package.
- For SDL-Output you might have a look at this post for an older Version: http://www.murga-linux.com/puppy/viewtopic.php?t=28287

Compiled and tested in Dingo (4.00).

DOWNLOAD: http://puppylinux.asia/tpp/aragon/ ~ 12.7 mb


Have fun and report back

aragon
lmms.png
 Description   
 Filesize   89.86 KB
 Viewed   5675 Time(s)

lmms.png

fluidsynth-1.0.8.pet
Description 
pet

 Download 
Filename  fluidsynth-1.0.8.pet 
Filesize  195.22 KB 
Downloaded  902 Time(s) 
fluidsynth-DEV-1.0.8.pet
Description 
pet

 Download 
Filename  fluidsynth-DEV-1.0.8.pet 
Filesize  151.93 KB 
Downloaded  864 Time(s) 
libstk-4.2.0.9.pet
Description 
pet

 Download 
Filename  libstk-4.2.0.9.pet 
Filesize  475.46 KB 
Downloaded  920 Time(s) 

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html

Last edited by aragon on Tue 01 Sep 2009, 04:25; edited 1 time in total
Back to top
View user's profile Send private message 
ddelma

Joined: 01 Dec 2008
Posts: 1

PostPosted: Wed 04 Feb 2009, 00:26    Post subject: working with LMMS
Subject description: problem importing midi file
 

The installation works fine. It ever launches without problem but I am not able to import the midi files. It says "Couldn't find a filter for importing file /Folders/file.mid. You should convert this file into a format supported by LMMS using another software."
midi (*.mid) is a standard for musical software and LMMS use to use it. what should I do to solve the problem?
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Wed 04 Feb 2009, 04:56    Post subject:  

hi ddelma,

i will look at this later.

to help me, please post:

- which puppy-version you're using
- start lmms from console and try tom import your *.mid. maybe there is an output, that helps us with the problem.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Wed 04 Feb 2009, 09:47    Post subject:  

Dear Aragon.

I get the same problem. On puppy 3.01 (very homebrew, with all kernel sources, compilers, headers, jack, qt4, qt3, gnome libs, etc. etc.), I get the following in a terminal after trying midi import:

flpImport::tryImport(): not a valid FL project

I hope that helps. I am also investigating why lmms doggedly (pardon the pun) refuses to use my qt4 style. I will look at the sources and see whether I cannot make a version that respects the user's qt4 style settings by editing the ui in qt4's designer.

With thanks and kind regards,
vovchik
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Wed 04 Feb 2009, 11:14    Post subject:  

now i've tested.

i was able to import a *.mid file.

i got this as console output:

Code:
# lmms
flpImport::tryImport(): not a valid FL project
midiImport::tryImport(): found MThd
Another timesig at 0.000000
Another timesig at 18.000000
Another timesig at 19.000000
Another timesig at 163.000000
Another timesig at 165.000000
Another timesig at 210.000000
Another timesig at 211.000000
Another timesig at 343.000000
Another timesig at 345.000000
Another timesig at 414.000000
Another timesig at 416.000000
Another timesig at 418.000000
Another timesig at 427.000000
Another timesig at 430.000000
Another timesig at 431.000000
Another timesig at 440.000000
Another timesig at 443.000000
Another timesig at 444.000000
MISSING GLOBAL THINGY
     -1 9 0.000000 keysigi
MISSING GLOBAL THINGY
     -1 9 0.000000 modea
MISSING GLOBAL THINGY
     -1 9 0.000000 smpteoffsets
MISSING GLOBAL THINGY
     -1 9 0.000000 tracknames
fluidsynth: warning: Ignoring sample *DlcmrC3: can't use ROM samples
fluidsynth: warning: Ignoring sample *Vibraloop: can't use ROM samples
fluidsynth: warning: Ignoring sample *BockClave: can't use ROM samples
fluidsynth: warning: Ignoring sample *XyloE4Looped: can't use ROM samples
fluidsynth: warning: Ignoring sample *ChanterAx1: can't use ROM samples
fluidsynth: warning: Ignoring sample ShakuA2 #02: can't use ROM samples
fluidsynth: warning: Ignoring sample RecorderAx2: can't use ROM samples
fluidsynth: warning: Ignoring sample *SikuE2: can't use ROM samples
fluidsynth: warning: Ignoring sample *HarmonicaA3: can't use ROM samples
fluidsynth: warning: Ignoring sample *SynthStringsC4: can't use ROM samples
fluidsynth: warning: Ignoring sample GunShot: can't use ROM samples
fluidsynth: warning: Ignoring sample SineWave #10: can't use ROM samples
...


to play the file i needed a sf2-soundfont. is this the correct way?

maybe upload a mid-file you have not been able to import and i try it on my machine?

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
algyzas

Joined: 24 Nov 2008
Posts: 21

PostPosted: Mon 09 Feb 2009, 05:51    Post subject:  

This page mediafire.com is recognizing opera as bad browser and asking to register. Shocked
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 9017

PostPosted: Mon 09 Feb 2009, 09:51    Post subject:  

Quote:
This page mediafire.com is recognizing opera as bad browser and asking to register.


hmm does this with firefox too...guess we all have 'bad browsers' and need to give them money?

mike
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Tue 10 Feb 2009, 03:05    Post subject:  

sorry guys,

don't know whats wrong. i've tested with a clean firefox 2.0.0.20 and it directly goes to the download page.

please post a pic of the screen you're getting.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 9017

PostPosted: Tue 10 Feb 2009, 06:27    Post subject:  

Oops my bad

was the cups download that gave me this problem at
http://www.mediafire.com/?2tlnz2tvjez

also media fire..your link works ok...sorry for my confusion


regards

mike
Back to top
View user's profile Send private message 
mimeini

Joined: 04 Dec 2008
Posts: 36

PostPosted: Mon 31 Aug 2009, 17:46    Post subject: new download problem  

Hi

There seems to be a new download problem here. When I follow the download link I come to a file to download called acap-0.1.zip I download unzip and get a acap-1_421.sfs. I wonder about the name but I see its a complex file to be loaded at boot time. I do all of that but no Lmms. The packages seems to be filled with all kind of things but certainly not LMMS Version: 0.4.2 as promised. Is the packages not available anymore?

/Mikkel
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Tue 01 Sep 2009, 04:24    Post subject:  

Hi Mikkel,

sorry, download-site has changed:
http://puppylinux.asia/tpp/aragon/

user=puppy
pw=linux

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
mimeini

Joined: 04 Dec 2008
Posts: 36

PostPosted: Tue 01 Sep 2009, 16:41    Post subject:  

hi aragon

Wonder full. If you know how long time I spend trying to compile a lmms 4.x my self with out any luck (this qt4 libs...). But this works great. And for people who like me use the pupitup (puppy for music making) distro. All you have to do to upgrade from the lmms 0.32 to this lmms 0.42 is install the qt4 lib as told above and the Lmms 042 pet and just click the usual lmms icon on the desktop the new lmms will start instead of the old.

Thanks a lot aragon
Mikkel
Back to top
View user's profile Send private message 
PupGeek

Joined: 06 Sep 2009
Posts: 388

PostPosted: Tue 22 Sep 2009, 17:12    Post subject:  

I tried to install this version of LMMS but it segfaulted on me, after i tried resolving the dependency links.

I have been having some success, however, with the slackware package and its dependencies. One issue still remains is that when I run it I get no sound and when I execute it from Rxvt, I get the following error:

ALSA lib pcm_dmix.c:1008:(snd_pcm_dmix_open) unable to open slave

I have had no luck, thus far in resolving it.... Can anyone tell me what this means? I get sound just fine with other programs like Audacity.... I have tried this using ALSA, OSS, and JACK. I always get the same thing
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Tue 22 Sep 2009, 17:27    Post subject:  

what version of puppy are you running? what version of alsa is installed?

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
PupGeek

Joined: 06 Sep 2009
Posts: 388

PostPosted: Tue 22 Sep 2009, 17:38    Post subject:  

I am using puppy 4.2.1 with its original ALSA.... Not sure how to find ALSA's version, though.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0823s ][ Queries: 12 (0.0035s) ][ GZIP on ]